/**
 * @desc 自定义表头
 * @author 周克文
 */
/// <reference types="react" />
export interface TooltipHeaderProps {
    /** 接收aggrid render接口的其它属性 */
    [x: string]: any;
    /** 标题数据 */
    title: string;
    /** 标题帮助信息 */
    tooltip?: string;
}
export default function TooltipHeader(props: TooltipHeaderProps): JSX.Element;
