/**
 * @desc 表格组件
 * @author denghuan
 */
/// <reference types="react" />
import { EmptyTableOverlay, LoadingOverlay, OperationCol, TooltipHeader, CurrencyCell, RemarkCell, TooltipCell } from './components';
import JXTableOptions from './models/table-options';
declare const Table: {
    (props: JXTableOptions): JSX.Element;
    EmptyTableOverlay: typeof EmptyTableOverlay;
    LoadingOverlay: typeof LoadingOverlay;
    OperationCol: typeof OperationCol;
    TooltipHeader: typeof TooltipHeader;
    CurrencyCell: typeof CurrencyCell;
    RemarkCell: typeof RemarkCell;
    TooltipCell: typeof TooltipCell;
};
export default Table;
