/**
 * @desc 表格空状态组件样式
 * @author 段奥
 */
import { createGlobalStyle, css } from 'styled-components';
const emptyStyle = css `
  .ag-theme-alpine {
    .ag-overlay-no-rows-wrapper {
      display: flex !important;
      align-items: center;
      justify-content: center;

      height: 100%;
      margin-top: 2px;
      &.ag-layout-auto-height {
        padding-top: 30px;
      }
      .ag-overlay-no-rows-center {
        display: flex;
        align-items: center;
        justify-content: center;

        height: 100%;
        .no-data-icon {
          width: 36px;
          height: 24px;

          background: url('../../image/bg-empty.png') no-repeat center
            center/100% 100%;
        }
        .no-data-desc {
          color: ${({ theme }) => theme.text.tertiary};
          margin-left: 8px;

          font-size: 14px;
          line-height: 20px;
        }
      }
    }
  }
`;
const EmptyStyle = createGlobalStyle `${emptyStyle}`;
export default EmptyStyle;
