import { createGlobalStyle, css } from 'styled-components';
const progressStyle = css `
  .ant-progress {
    .ant-progress-text {
      color: ${({ theme }) => theme.text.primary};
    }

    &.ant-progress-vertical {
      .ant-progress-outer {
        margin-right: 0;
        padding-right: 0;
      }

      .ant-progress-text {
        color: ${({ theme }) => theme.text.tertiary};
        width: auto;
        position: absolute;
        bottom: 100%;
        right: 0px;
      }
    }

    &.ant-progress-circle {
      .ant-progress-text {
        color: ${({ theme }) => theme.text.secondary};
        font-size: 14px;
      }
    }
  }
`;
const ProgressStyle = createGlobalStyle `${progressStyle}`;
export default ProgressStyle;
