/**
 * @desc 单选框
 * @author denghuan
 */
import React from 'react';
import { Radio as AntRadio, RadioProps, RadioGroupProps as AntRadioGroupProps } from 'antd';
import { IDName } from 'components/jx-table/models/currency';
interface RadioGroupProps extends AntRadioGroupProps {
    /** 字典集合 */
    dictData?: Array<IDName>;
}
declare const NewGroup: (props: RadioGroupProps) => JSX.Element;
interface CompoundedComponent extends React.ForwardRefExoticComponent<RadioProps & React.RefAttributes<HTMLElement>> {
    Group: typeof NewGroup;
    Button: typeof AntRadio.Button;
}
declare const Radio: CompoundedComponent;
export default Radio;
