/**
 * @desc 步骤条
 * @author denghuan
 */
import React from 'react';
import { Steps as AntSteps } from 'antd';
const { Step, defaultProps } = AntSteps;
const Steps = (props) => {
    const { labelPlacement = 'vertical', ...others } = props;
    return React.createElement(AntSteps, { labelPlacement: labelPlacement, ...others });
};
Steps.Step = Step;
Steps.defaultProps = defaultProps;
export default Steps;
