import { createGlobalStyle, css } from 'styled-components';
const popConfirmStyle = css `
  .ant-popover {
    .ant-popover-content {
      .ant-popover-inner {
        background-color: ${({ theme }) => theme.select.dropdown};
        border-radius: 2px;

        .ant-popover-inner-content {
          .ant-popover-message {
            color: ${({ theme }) => theme.text.primary};
          }
        }
      }
      .ant-popover-arrow {
        border-color: ${({ theme }) => theme.select.dropdown};
      }
    }
  }
`;
const PopConfirmStyle = createGlobalStyle `${popConfirmStyle}`;
export default PopConfirmStyle;
