/**
 * @desc 生成唯一样式名
 * @author denghuan
 */
declare type ClassName = 'primary' | 'secondary' | 'tertiary' | 'main' | 'bg' | 'border' | 'text' | 'nav' | 'modal' | 'menu' | 'content' | 'system' | 'primary' | 'normal' | 'link' | 'danger' | 'fill' | 'outline';
/**
 * @param names: Original class name.
 * @returns Unique class name.
 */
export declare const className: (...names: ClassName[]) => string;
export {};
