/**
 * @desc 颜色相关工具方法
 * @author 邓欢
 */
/**
 * @desc 生成CSS rgba颜色字符串
 * @param color 十六进制颜色字符串 (eg: #fff, #ffffff)
 * @param alpha 颜色的Alpha通道
 * @returns rgba颜色字符串 (eg: "rgba(255, 255, 255, 0.8)")
 */
export declare function rgba(color: string, alpha?: number | string): string;
/**
 * @returns [number, number, number, number] (red, green, blue, alpha);
 */
export declare function rgbaValues(hexString: string): number[];
