"use strict";
/**
 * @desc 数字输入框
 * @author denghuan
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputNumber = void 0;
const react_1 = __importDefault(require("react"));
const antd_1 = require("antd");
function InputNumber(props) {
    const { placeholder = '请输入数字', addonAfter, ...others } = props;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(antd_1.InputNumber, { ...{ placeholder, ...others } }),
        react_1.default.createElement("span", null, addonAfter)));
}
exports.InputNumber = InputNumber;
