"use strict";
/**
 * @desc 文本输入框
 * @author denghuan
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const antd_1 = require("antd");
const Input = (props) => {
    const { placeholder = '请输入文字', ...others } = props;
    return react_1.default.createElement(antd_1.Input, { ...{ placeholder, ...others } });
};
Input.Group = antd_1.Input.Group;
Input.Search = antd_1.Input.Search;
Input.TextArea = antd_1.Input.TextArea;
Input.Password = antd_1.Input.Password;
exports.default = Input;
