"use strict";
/**
 * @desc 步骤条
 * @author denghuan
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const antd_1 = require("antd");
const { Step, defaultProps } = antd_1.Steps;
const Steps = (props) => {
    const { labelPlacement = 'vertical', ...others } = props;
    return react_1.default.createElement(antd_1.Steps, { labelPlacement: labelPlacement, ...others });
};
Steps.Step = Step;
Steps.defaultProps = defaultProps;
exports.default = Steps;
