"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const drawerStyle = styled_components_1.css `
  .ant-drawer.ant-drawer-open .ant-drawer-mask {
    opacity: 0;
    animation: none;
  }

  .ant-drawer-content-wrapper .ant-drawer-content {
    &,
    .ant-drawer-header {
      background-color: ${({ theme }) => theme.background.modal};
    }

    .ant-drawer-header {
      border-color: ${({ theme }) => theme.border.tertiary};

      .ant-drawer-title {
        color: ${({ theme }) => theme.text.primary};
      }

      .ant-drawer-close {
        color: ${({ theme }) => theme.text.secondary};
      }
    }
  }
`;
const DrawerStyle = styled_components_1.createGlobalStyle `${drawerStyle}`;
exports.default = DrawerStyle;
