"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_components_1 = require("styled-components");
const alert_1 = __importDefault(require("./alert"));
const cascader_1 = __importDefault(require("./cascader"));
const checkbox_1 = __importDefault(require("./checkbox"));
const notification_1 = __importDefault(require("./notification"));
const pop_confirm_1 = __importDefault(require("./pop-confirm"));
const radio_1 = __importDefault(require("./radio"));
const switch_1 = __importDefault(require("./switch"));
const tree_1 = __importDefault(require("./tree"));
const drawer_1 = __importDefault(require("./drawer"));
const menu_1 = __importDefault(require("./menu"));
const modal_1 = __importDefault(require("./modal"));
const message_1 = __importDefault(require("./message"));
const slider_1 = __importDefault(require("./slider"));
const tooltip_1 = __importDefault(require("./tooltip"));
const layout_1 = __importDefault(require("./layout"));
const tabs_1 = __importDefault(require("./tabs"));
const result_1 = __importDefault(require("./result"));
const chore_1 = __importDefault(require("./chore"));
const empty_1 = __importDefault(require("./empty"));
const tree_select_1 = __importDefault(require("./tree-select"));
const form_1 = __importDefault(require("./form"));
const time_picker_1 = __importDefault(require("./time-picker"));
const date_picker_1 = __importDefault(require("./date-picker"));
const style_1 = __importDefault(require("../../button/style"));
const style_2 = __importDefault(require("../../input/style"));
const style_3 = __importDefault(require("../../input-number/style"));
const style_4 = __importDefault(require("../../progress/style"));
const style_5 = __importDefault(require("../../select/style"));
const style_6 = __importDefault(require("../../steps/style"));
/// Ant Design全局样式
const AntCommonStyle = styled_components_1.createGlobalStyle `
  .ant-divider {
    border-color: ${({ theme }) => theme.border.secondary};
  }
`;
function AntDesignGlobalStyle() {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(AntCommonStyle, null),
        react_1.default.createElement(cascader_1.default, null),
        react_1.default.createElement(checkbox_1.default, null),
        react_1.default.createElement(radio_1.default, null),
        react_1.default.createElement(tree_1.default, null),
        react_1.default.createElement(alert_1.default, null),
        react_1.default.createElement(pop_confirm_1.default, null),
        react_1.default.createElement(notification_1.default, null),
        react_1.default.createElement(switch_1.default, null),
        react_1.default.createElement(drawer_1.default, null),
        react_1.default.createElement(menu_1.default, null),
        react_1.default.createElement(modal_1.default, null),
        react_1.default.createElement(message_1.default, null),
        react_1.default.createElement(slider_1.default, null),
        react_1.default.createElement(tooltip_1.default, null),
        react_1.default.createElement(layout_1.default, null),
        react_1.default.createElement(tabs_1.default, null),
        react_1.default.createElement(result_1.default, null),
        react_1.default.createElement(chore_1.default, null),
        react_1.default.createElement(empty_1.default, null),
        react_1.default.createElement(tree_select_1.default, null),
        react_1.default.createElement(form_1.default, null),
        react_1.default.createElement(date_picker_1.default, null),
        react_1.default.createElement(style_1.default, null),
        react_1.default.createElement(style_2.default, null),
        react_1.default.createElement(style_3.default, null),
        react_1.default.createElement(style_4.default, null),
        react_1.default.createElement(style_5.default, null),
        react_1.default.createElement(style_6.default, null),
        react_1.default.createElement(time_picker_1.default, null)));
}
exports.default = AntDesignGlobalStyle;
