"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const layoutStyle = styled_components_1.css `
  .ant-layout {
    background-color: ${({ theme }) => theme.background.system};

    .ant-layout-header {
      background-color: ${({ theme }) => theme.background.nav};
      &,
      & h1,
      & h2,
      & h3,
      & h4,
      & h5,
      & p,
      & span {
        color: white;
      }
    }

    .ant-layout-content {
      background-color: ${({ theme }) => theme.background.system};
    }

    .ant-layout-sider {
      background-color: ${({ theme }) => theme.background.menu};
    }
  }
`;
const LayoutStyle = styled_components_1.createGlobalStyle `${layoutStyle}`;
exports.default = LayoutStyle;
