"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const popConfirmStyle = styled_components_1.css `
  .ant-popover {
    .ant-popover-content {
      .ant-popover-inner {
        background-color: ${({ theme }) => theme.select.dropdown};
        border-radius: 2px;

        .ant-popover-inner-content {
          .ant-popover-message {
            color: ${({ theme }) => theme.text.primary};
          }
        }
      }
      .ant-popover-arrow {
        border-color: ${({ theme }) => theme.select.dropdown};
      }
    }
  }
`;
const PopConfirmStyle = styled_components_1.createGlobalStyle `${popConfirmStyle}`;
exports.default = PopConfirmStyle;
