"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const sliderStyle = styled_components_1.css `
  .ant-slider {
    &,
    &:hover {
      .ant-slider-rail {
        background-color: ${({ theme }) => theme.input.disabled.bg};
      }
    }

    .ant-slider-track {
      background-image: linear-gradient(
        -90deg,
        ${({ theme }) => theme.gradient.from} 0%,
        ${({ theme }) => theme.gradient.to} 100%
      );
    }

    &,
    &:hover {
      .ant-slider-handle {
        background-color: ${({ theme }) => theme.background.content.secondary};
        &,
        &:not(.ant-tooltip-open) {
          border-color: ${({ theme }) => theme.main};
        }

        &:focus {
          box-shadow: none;
        }
      }
    }
  }
`;
const SliderStyle = styled_components_1.createGlobalStyle `${sliderStyle}`;
exports.default = SliderStyle;
