"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const switchStyle = styled_components_1.css `
  .ant-switch {
    background-color: ${({ theme }) => theme.main};

    &[aria-checked='false'] {
      background-color: ${({ theme }) => theme.button.disabled.bg};
    }
  }
`;
const SwitchStyle = styled_components_1.createGlobalStyle `${switchStyle}`;
exports.default = SwitchStyle;
