"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const tooltipStyle = styled_components_1.css `
  .ant-tooltip {
    max-width: none;

    .ant-tooltip-content {
      .ant-tooltip-inner {
        background-color: ${({ theme }) => theme.select.dropdown};
        color: ${({ theme }) => theme.text.primary};
        font-size: 14px;
        padding: 5px 10px;
      }

      .ant-tooltip-arrow {
        overflow: visible;

        .ant-tooltip-arrow-content {
          background-color: ${({ theme }) => theme.select.dropdown};
          width: 10px;
          height: 10px;
        }
      }
    }
  }
`;
const TooltipStyle = styled_components_1.createGlobalStyle `${tooltipStyle}`;
exports.default = TooltipStyle;
