/**
 * @desc 按钮
 * @author denghuan
 */
/// <reference types="react" />
import { ButtonProps as AntButtonProps } from 'antd/lib/button';
export interface ButtonProps extends Omit<AntButtonProps, 'type'> {
    type?: 'primary' | 'normal' | 'danger' | 'link' | 'outline';
}
declare const Button: (props: ButtonProps) => JSX.Element;
export default Button;
