/**
 * @desc 按钮
 * @author denghuan
 */
import React from 'react';
import { Button as AntButton } from 'antd';
import classNames from 'classnames';
const Button = (props) => {
    const { type = 'default', children } = props;
    return (React.createElement(AntButton, { ...props, className: classNames(type, props.className), type: type === 'link' ? 'link' : 'default' }, children));
};
export default Button;
