/**
 * @desc 文本输入框
 * @author denghuan
 */
import React from 'react';
import { Input as AntInput } from 'antd';
const Input = (props) => {
    const { placeholder = '请输入文字', ...others } = props;
    return React.createElement(AntInput, { ...{ placeholder, ...others } });
};
Input.Group = AntInput.Group;
Input.Search = AntInput.Search;
Input.TextArea = AntInput.TextArea;
Input.Password = AntInput.Password;
export default Input;
