/**
 * @desc 表格组件
 * @author denghuan
 */
import React from 'react';
import JXTable from './table';
import { EmptyTableOverlay, LoadingOverlay, OperationCol, TooltipHeader, CurrencyCell, RemarkCell, TooltipCell, } from './components';
const Table = (props) => {
    return React.createElement(JXTable, { ...props });
};
Table.EmptyTableOverlay = EmptyTableOverlay;
Table.LoadingOverlay = LoadingOverlay;
Table.OperationCol = OperationCol;
Table.TooltipHeader = TooltipHeader;
Table.CurrencyCell = CurrencyCell;
Table.RemarkCell = RemarkCell;
Table.TooltipCell = TooltipCell;
export default Table;
