import { createGlobalStyle, css } from 'styled-components';
const tooltipStyle = css `
  .ant-tooltip {
    max-width: none;

    .ant-tooltip-content {
      .ant-tooltip-inner {
        background-color: ${({ theme }) => theme.select.dropdown};
        color: ${({ theme }) => theme.text.primary};
        font-size: 14px;
        padding: 5px 10px;
      }

      .ant-tooltip-arrow {
        overflow: visible;

        .ant-tooltip-arrow-content {
          background-color: ${({ theme }) => theme.select.dropdown};
          width: 10px;
          height: 10px;
        }
      }
    }
  }
`;
const TooltipStyle = createGlobalStyle `${tooltipStyle}`;
export default TooltipStyle;
