"use strict";
/**
 * @desc 按钮
 * @author denghuan
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const antd_1 = require("antd");
const classnames_1 = __importDefault(require("classnames"));
const Button = (props) => {
    const { type = 'default', children } = props;
    return (react_1.default.createElement(antd_1.Button, { ...props, className: classnames_1.default(type, props.className), type: type === 'link' ? 'link' : 'default' }, children));
};
exports.default = Button;
