"use strict";
/**
 * @desc 多币种单元格
 * @author 高炼
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const data_helper_1 = require("../../../_utils/data-helper");
function CurrencyCell(props) {
    const { ccyInfo } = props.data;
    if (data_helper_1.isEmpty(ccyInfo))
        return '';
    const { code, name } = ccyInfo;
    return react_1.default.createElement("span", null, `${code}-${name}`);
}
exports.default = CurrencyCell;
