"use strict";
/**
 * @desc 表格组件
 * @author denghuan
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const table_1 = __importDefault(require("./table"));
const components_1 = require("./components");
const Table = (props) => {
    return react_1.default.createElement(table_1.default, { ...props });
};
Table.EmptyTableOverlay = components_1.EmptyTableOverlay;
Table.LoadingOverlay = components_1.LoadingOverlay;
Table.OperationCol = components_1.OperationCol;
Table.TooltipHeader = components_1.TooltipHeader;
Table.CurrencyCell = components_1.CurrencyCell;
Table.RemarkCell = components_1.RemarkCell;
Table.TooltipCell = components_1.TooltipCell;
exports.default = Table;
