"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const inputStyle = styled_components_1.css `
  .ag-input-field-input.ag-text-field-input.ag-text-field-input {
    height: 23px;
    color: ${({ theme }) => theme.text.primary};
    background-color: ${({ theme }) => theme.input.bg};
    border-color: ${({ theme }) => theme.input.border};
    border-radius: 2px;

    &,
    &:focus {
      box-shadow: none;
    }

    &:focus,
    &:active,
    &:hover {
      border-color: ${({ theme }) => theme.main};
    }
  }
`;
exports.default = inputStyle;
