/**
 * @desc 进度条组件
 * @author denghuan
 */
import React, { ComponentProps } from 'react';
import { Progress as AntProgress } from 'antd';
import { ThemeProps, DefaultTheme } from 'styled-components';
export interface ProgressProps extends ComponentProps<typeof AntProgress> {
    labelDirection?: 'vertical' | 'horizontal';
}
export declare function Progress(props: ThemeProps<DefaultTheme> & ProgressProps): JSX.Element;
declare const _default: React.ForwardRefExoticComponent<{
    type?: "circle" | "line" | "dashboard" | undefined;
    className?: string | undefined;
    style?: React.CSSProperties | undefined;
    status?: "normal" | "success" | "active" | "exception" | undefined;
    size?: import("antd/lib/progress/progress").ProgressSize | undefined;
    prefixCls?: string | undefined;
    success?: import("antd/lib/progress/progress").SuccessProps | undefined;
    width?: number | undefined;
    format?: ((percent?: number | undefined, successPercent?: number | undefined) => React.ReactNode) | undefined;
    strokeLinecap?: "round" | "butt" | "square" | undefined;
    strokeWidth?: number | undefined;
    percent?: number | undefined;
    showInfo?: boolean | undefined;
    strokeColor?: string | import("antd/lib/progress/progress").ProgressGradient | undefined;
    trailColor?: string | undefined;
    gapDegree?: number | undefined;
    gapPosition?: "left" | "right" | "bottom" | "top" | undefined;
    steps?: number | undefined;
    successPercent?: number | undefined;
    labelDirection?: "horizontal" | "vertical" | undefined;
} & {
    theme?: DefaultTheme | undefined;
}>;
export default _default;
