"use strict";
/**
 * @desc 选择框
 * @author denghuan
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const antd_1 = require("antd");
const { SECRET_COMBOBOX_MODE_DO_NOT_USE, Option, OptGroup } = antd_1.Select;
const Select = (props) => {
    const { placeholder = '请选择', allowClear = true, dictData, options, ...others } = props;
    const newOptions = react_1.useMemo(() => {
        return dictData
            ? dictData.map(item => {
                return { value: item.id, label: item.name };
            })
            : options;
    }, [dictData, options]);
    return (react_1.default.createElement(antd_1.Select, { placeholder: placeholder, allowClear: allowClear, options: newOptions, ...others }));
};
Select.SECRET_COMBOBOX_MODE_DO_NOT_USE = SECRET_COMBOBOX_MODE_DO_NOT_USE;
Select.Option = Option;
Select.OptGroup = OptGroup;
exports.default = Select;
